Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 661551 - Publican does not catch failed PDF builds when creating packages
Summary: Publican does not catch failed PDF builds when creating packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 2.4
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 23:27 UTC by Jeff Fearn 🐞
Modified: 2011-07-26 00:42 UTC (History)
3 users (show)

Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-26 00:42:51 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2010-12-08 23:27:09 UTC
Description of problem:
When building packages publican does not exit when a format fails to build. This allows invalid web packages to be created.

Version-Release number of selected component (if applicable):
2.4

How reproducible:
Always.

Steps to Reproduce:
1. Add XML known to break FOP
2. publican package --binary ...

  
Actual results:
RPM is built.

Expected results:
RPM build should fail.

Additional info:

Comment 1 Jeff Fearn 🐞 2010-12-09 00:54:15 UTC
Added croak if FOP failes.

Fixed in build: 2.5-1%{?dist}.t2

Comment 2 Jeff Fearn 🐞 2011-07-01 11:03:22 UTC
Back ported to branches/publican-2x

Committed revision 1795.


Note You need to log in before you can comment on or make changes to this bug.